package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.Testgit;


/**
*  service接口类
*/
public interface TestgitService{

    List<Testgit> getTestgitList(Testgit record);

    List<Testgit> getTestgitByPage(Page page, Testgit record);

    Testgit getTestgitById(String id);

    Testgit getTestgit(Testgit record);

    boolean createTestgit(Testgit record);

    boolean deleteTestgit(String id);

    boolean updateTestgit(Testgit record);
}

